Bug 503484 - SELinux is preventing fprintd (fprintd_t) "read" proc_t.
SELinux is preventing fprintd (fprintd_t) "read" proc_t.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fprintd (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-01 06:15 EDT by Alexandre Pereira
Modified: 2010-06-28 08:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:46:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Pereira 2009-06-01 06:15:08 EDT
Description of problem:
fprind allowed me to register my index finger with ease, the problem came later when I try to use it it creates a AVC in SELinux and nothing happens.
This is the log of SELinux:
-----------------------------------------------------------------------------
Summary:

SELinux is preventing fprintd (fprintd_t) "read" proc_t.

Detailed Description:

SELinux denied access requested by fprintd. It is not expected that this access
is required by fprintd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:fprintd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:proc_t:s0
Target Objects                meminfo [ file ]
Source                        fprintd
Source Path                   /usr/libexec/fprintd
Port                          <Unknown>
Host                          f10alx.localdomain
Source RPM Packages           fprintd-0.1-9.git04fd09cfa.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-39.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     f10alx.localdomain
Platform                      Linux f10alx.localdomain 2.6.29.4-167.fc11.x86_64
                              #1 SMP Wed May 27 17:27:08 EDT 2009 x86_64 x86_64
Alert Count                   14
First Seen                    Sat 30 May 2009 12:25:05 PM WEST
Last Seen                     Sun 31 May 2009 12:23:04 PM WEST
Local ID                      70344fc0-48bd-44e6-99e6-c4d41b4f8cfe
Line Numbers                  

Raw Audit Messages            

node=f10alx.localdomain type=AVC msg=audit(1243768984.94:145): avc:  denied  { read } for  pid=2032 comm="fprintd" name="meminfo" dev=proc ino=4026531984 scontext=system_u:system_r:fprintd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=file

node=f10alx.localdomain type=AVC msg=audit(1243768984.94:145): avc:  denied  { open } for  pid=2032 comm="fprintd" name="meminfo" dev=proc ino=4026531984 scontext=system_u:system_r:fprintd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=file

node=f10alx.localdomain type=SYSCALL msg=audit(1243768984.94:145): arch=c000003e syscall=2 success=yes exit=10 a0=3380f33ce4 a1=0 a2=1b6 a3=238 items=0 ppid=1 pid=2032 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="fprintd" exe="/usr/libexec/fprintd" subj=system_u:system_r:fprintd_t:s0-s0:c0.c1023 key=(null)
-----------------------------------------------------------------------------

Version-Release number of selected component (if applicable):


How reproducible:
every time you want to authenticate using fingerprint.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
none, cannot login using fingerprint

Expected results:
should be able to use firgerprint for authentication

Additional info:
Comment 1 Daniel Walsh 2009-06-04 13:26:12 EDT
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp
	
Fixed in selinux-policy-3.6.12-47.fc11.noarch
Comment 2 Bug Zapper 2009-06-09 12:55:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 10:36:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 08:46:43 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.